/*
 *  Copyright (c) 2004 on behalf of the EU EGEE Project:
 *  The European Organization for Nuclear Research (CERN),
 *  Istituto Nazionale di Fisica Nucleare (INFN), Italy
 *  Datamat Spa, Italy
 *  Centre National de la Recherche Scientifique (CNRS), France
 *  CS Systeme d'Information (CSSI), France
 *  Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 *  Universiteit van Amsterdam (UvA), Netherlands
 *  University of Helsinki (UH.HIP), Finland
 *  University of Bergen (UiB), Norway
 *  Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 */
#ifndef ERRORNUMBER_H
#define ERRORNUMBER_H

namespace glite
{
    namespace rgma
    {

        /**
         * RGMA error error numbers from server
         * 
         */
        class ErrorNumber
        {
            public:

                enum error_nos
                {
                    RGMA_EXCEPTION = 0,
                    RGMA_SECURITY_EXCEPTION = 1,
                    RGMA_USER_EXCEPTION = 2,
                    RGMA_BUFFER_FULL_EXCEPTION = 3,
                    RGMA_NO_WORKING_REPLICAS_EXCEPTION = 7,
                    RGMA_BUSY_EXCEPTION = 9
                };
        };
    }
}
#endif
